Subject: RE: Comments on draft-ip-optical-framework-00.txt

From: Vishal Sharma <[email-masked]>
Date: Wed, 22 Mar 2000 00:00:09 -0500

Lee,

A partial response to your question below. 

There are situations where some form of "limited" wavelength conversion
might be sufficient to give good performance
and full wavelength conversion may not be needed or be worthwhile. 
(Strictly speaking, there is still wavelength conversion in this scheme,
just not as much of it as you would need for full wavelength conversion,
and this could be a significant cost and/or implementation advantage.)

There are some research papers on this subject. Some relevant references are:

Yates, J.; Lacey, J.; Everitt, D.; Summerfield, M.
    Limited-range wavelength translation in all-optical networks.
    IN:  Proceedings of IEEE INFOCOM '96. Conference on
    Computer Communications, San Francisco, CA, USA, 24-28 March 1996. p. 954-61 vol.3. 

Sharma, V.; Varvarigos, E.A.
      Limited wavelength translation in all-optical WDM mesh networks.
    IN: Proceedings IEEE
    INFOCOM'98, San Francisco, CA, USA, 29 March-2 April 1998. p. 893-901 vol.2.  

Ramaswami, R.; Sasaki, G.
      Multiwavelength optical networks with limited wavelength conversion.
    IEEE/ACM Transactions on Networking, Dec. 1998, vol.6, (no.6):744-54.

Venugopal, K.R.; Shivakumar, M.; Kumar, P.S.
     A heuristic for placement of limited range wavelength converters in
   all-optical networks.
   IN:  Proceedings of INFOCOM'99: Conference on Computer
   Communications, New York, NY, USA, 21-25 March 1999,  p. 908-15 vol.2.   

Tripathi, T.; Sivarajan, K.N.
     Computing approximate blocking probabilities in wavelength routed
   all-optical networks with limited-range wavelength conversion.
   IN:  Proceedings of INFOCOM'99: Conference on Computer
   Communications, New York, NY, USA, 21-25 March 1999. p. 329-36 vol.1. 

Regards,

-Vishal

On Tuesday, March 21, 2000 6:21 PM, [email-masked] [SMTP:[email-masked]] wrote:
> 
> 
> Peter Ashwood-Smith wrote:
> >   You may waste enormous amounts of bandwidth if you cannot do
> > wavelength conversion. Convert the question to the ATM domain and
> > imagine how an ATM network would operate if you had to use the
> > same VCC from end to end. Basically, if you do not have the ability
> > to change "labels" then you need one label for EVERY unique path
> > through the network. Given that the number of paths through a network
> > grows what .. N factorial? You run out of labels very quickly. This is
> > especially true with DWDM equipement which may only support 50-100
> "labels".
> > This means that a tiny  network would exhaust all the labels/paths
> > AND you have many links that you can only use a small percentage of
> > the available "labels" ie bandwidth. So its a very unsatisfactory
> > solution. Also, to do a good job of it, you need a global view of
> > each path and label it will use.
> >
> 
> I am not questioning the usefulness of wavelength conversion. It
> is definitely a good mechansim. (Although I have seen some
> research work that claims that wavelenght conversion may not be
> worthwhile in some scenarios).
> 
> Khaled,
> 
> Could you provide links to some of this research or describe some scenarios
> where wavelength conversion may not be worthwhile?
> 
> Thanks,
> 
> Lee
>

---

From: "John Strand" <[email-masked]>
Date: Thu, 23 Mar 2000 09:15:41 -0500

Another good reference is the online IEEE survey article "Wavelength
Converters in Dynamically Reconfigurable Networks" by Jennifer Yates
et al. URL=http://www.comsoc.org/pubs/surveys/ (in the 2nd quarter
1999 edition).

John

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Vishal
Sharma
Sent: Wednesday, March 22, 2000 12:00 AM
To: [email-masked]'; [email-masked]
Cc: [email-masked]
Subject: RE: Comments on draft-ip-optical-framework-00.txt

Lee,

Regards,

-Vishal

---

From: Khaled Elsayed <[email-masked]>
Date: Thu, 23 Mar 2000 10:54:35 +0200

Lee,

In addition to what Vishal listed, you can refer to IEEE JSAC
vol. 14 no 5 (1996) and IEEE JSAC vol. 16 no 7 (1998) for some
good articles.

Khaled